Skip to main content
GET
/
api
/
external
/
v2
/
contract-raw-response
Retrieve raw Shopify GraphQL response for a subscription contract
curl --request GET \
  --url https://subscription-admin.appstle.com/api/external/v2/contract-raw-response \
  --header 'X-API-Key: <x-api-key>'
{
  "subscriptionContract": {
    "__typename": "SubscriptionContract",
    "id": "gid://shopify/SubscriptionContract/26833420451",
    "createdAt": "2025-06-19T12:19:21Z",
    "updatedAt": "2025-06-19T12:19:25Z",
    "nextBillingDate": "2025-07-19T12:00:00Z",
    "status": "ACTIVE",
    "deliveryPrice": {
      "__typename": "MoneyV2",
      "amount": "0.0",
      "currencyCode": "USD"
    },
    "lastPaymentStatus": null,
    "billingPolicy": {
      "__typename": "SubscriptionBillingPolicy",
      "interval": "MONTH",
      "intervalCount": 1,
      "anchors": [],
      "maxCycles": null,
      "minCycles": null
    },
    "deliveryPolicy": {
      "__typename": "SubscriptionDeliveryPolicy",
      "interval": "MONTH",
      "intervalCount": 1,
      "anchors": []
    },
    "lines": {
      "__typename": "SubscriptionLineConnection",
      "edges": [
        {
          "__typename": "SubscriptionLineEdge",
          "node": {
            "__typename": "SubscriptionLine",
            "id": "gid://shopify/SubscriptionLine/35d6970f-66bd-4ce0-a7a5-f1498096fec8",
            "sellingPlanId": "gid://shopify/SellingPlan/2598666403",
            "sellingPlanName": "Monthly Subscription",
            "productId": "gid://shopify/Product/8794161545379",
            "title": "Gift Card",
            "variantId": "gid://shopify/ProductVariant/45954331672739",
            "quantity": 1,
            "customAttributes": [],
            "variantTitle": "$10",
            "currentPrice": {
              "__typename": "MoneyV2",
              "amount": "9.0",
              "currencyCode": "USD"
            },
            "pricingPolicy": {
              "__typename": "SubscriptionPricingPolicy",
              "basePrice": {
                "__typename": "MoneyV2",
                "amount": "10.0",
                "currencyCode": "USD"
              },
              "cycleDiscounts": [
                {
                  "__typename": "SubscriptionCyclePriceAdjustment",
                  "afterCycle": 0,
                  "computedPrice": {
                    "__typename": "MoneyV2",
                    "amount": "9.0",
                    "currencyCode": "USD"
                  },
                  "adjustmentType": "PERCENTAGE",
                  "adjustmentValue": {
                    "__typename": "SellingPlanPricingPolicyPercentageValue",
                    "percentage": 10
                  }
                }
              ]
            }
          }
        }
      ]
    },
    "customerPaymentMethod": {
      "__typename": "CustomerPaymentMethod",
      "id": "gid://shopify/CustomerPaymentMethod/e14bcaa08f882975bfe6c708642eb223",
      "instrument": {
        "__typename": "CustomerCreditCard",
        "brand": "bogus",
        "expiryMonth": 12,
        "expiryYear": 2025,
        "lastDigits": "1",
        "maskedNumber": "•••• •••• •••• 1"
      }
    },
    "customer": {
      "__typename": "Customer",
      "id": "gid://shopify/Customer/8718823227555",
      "email": "customer@example.com",
      "displayName": "John Doe",
      "firstName": "John",
      "lastName": "Doe"
    },
    "originOrder": {
      "__typename": "Order",
      "id": "gid://shopify/Order/6152668807331",
      "name": "#1002"
    },
    "note": null,
    "customAttributes": [],
    "discounts": {
      "__typename": "SubscriptionManualDiscountConnection",
      "edges": []
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://appstleinc-aeca3e0a.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Headers

X-API-Key
string
required

API Key for authentication

Query Parameters

api_key
string

API Key (Deprecated - Use X-API-Key header instead)

contractId
integer<int64>
required

The unique identifier of the subscription contract. Use the numeric ID without the 'gid://shopify/SubscriptionContract/' prefix. For example, use '26833420451' instead of 'gid://shopify/SubscriptionContract/26833420451'.

Required range: x >= 1

Response

Successfully retrieved raw contract data

subscriptionContract
object